package org.netkernel.layer0.boot;

public class ModuleWithLevel
{	private IModule mModule;
	private int mLevel;

	public ModuleWithLevel(IModule aModule, int aLevel) throws IllegalArgumentException
	{	mModule=aModule;
		if(aLevel>=0)
		{	mLevel=aLevel;
		}
		else throw new IllegalArgumentException("Level must be a positive integer");
	}
	
	public IModule getModule()
	{	return mModule;
	}
	
	public int getLevel()
	{	return mLevel;
	}
}