package org.netkernel.layer0.representation;

/** A fast lookup index onto a HDS tree
 * @author tab
 */
public interface IHDSIndex
{
	/** Find matching nodes
	 * @param aKey The key to lookup indexed nodes within the index
	 * @return a node list containing zero or more matching nodes
	 */
	IHDSNodeList get(Object aKey);
}
