package org.netkernel.layer0.nkf.impl;

import org.netkernel.layer0.meta.GrammarException;
import org.netkernel.layer0.meta.IIdentifierGrammar;
import org.netkernel.layer0.urii.ParsedIdentifierImpl;
import org.netkernel.request.IRequest;
import org.netkernel.urii.IIdentifier;


public class NKFGrammarRequestReadOnlyImpl extends NKFRequestReadOnlyImpl
{
	public NKFGrammarRequestReadOnlyImpl(IRequest aRequest, IIdentifierGrammar aGrammar) throws GrammarException
	{	super(aRequest);
		IIdentifier id=aRequest.getIdentifier();
		if (id instanceof ParsedIdentifierImpl && ((ParsedIdentifierImpl)id).getGrammar()==aGrammar)
		{	//mIdentifier=id; //already set in super()
		}
		else
		{	mIdentifier = ParsedIdentifierImpl.parseGrammar(id.toString(), aGrammar);
		}
	}
	
	protected ParsedIdentifierImpl getParsed()
	{	return (ParsedIdentifierImpl)mIdentifier;
	}
}
